#
# spec file for package python-argparse-manpage
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define mod_name argparse-manpage
%define skip_python2 1

Name:           python-argparse-manpage
Version:        1.1
Release:        1.1
Summary:        Build manual page from python's ArgumentParser object
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/praiskup/argparse-manpage
Source:         %{mod_name}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module setuptools}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
Generate manual page an automatic way from ArgumentParser object, so the
manpage 1:1 corresponds to the automatically generated --help output.  The
manpage generator needs to known the location of the object, user can specify
that by (a) the module name or corresponding python filename and (b) the object
name or the function name which returns the object.  There's a limited support
for (deprecated) optparse objects, too.

%prep
%setup -q -n %{mod_name}-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README* PKG-INFO
%{python_sitelib}/*
%{_bindir}/argparse-manpage
%{_mandir}/man1/argparse-manpage.1*

%changelog
* Thu Oct 11 2018 mrueckert@suse.de
- initial package
